tntdb::Result Class Reference

The class holds a resultset of a query. More...

`#include <result.h>`

## Classes

class | const_iterator
| This implements a constant iterator to a result-set. More...

## Public Types

typedef unsigned | size_type
typedef Row | value_type

## Public Member Functions

| Result (IResult *res)
Row | getRow (size_type row_num) const
| Returns the row_num'ths row of the resultset. More...
Value | getValue (size_type row_num, size_type field_num) const
| Returns the field_num'ths value of the row_num'ths row. More...
size_type | size () const
| Returns the number of rows of this resultset. More...
bool | empty () const
| Returns true, when there are no rows available. More...
size_type | getFieldCount () const
| Returns the number of columns of the rows. More...
Row | operator[] (size_type row_num) const
| Returns the row_num'ths row of the resultset. More...
const_iterator | begin () const
| Returns a const_iterator to the first row of this resultset. More...
const_iterator | end () const
| Returns a const_iterator past the last row of this resultset. More...
bool | operator! () const
| Returns true, when this classes does not reference a resultset. More...
const IResult * | getImpl () const
| Returns the actual implementation-class. More...

## Detailed Description

The class holds a resultset of a query.

Querys might return multiple rows, which are accessable here in arbitary order.

## Member Function Documentation

const_iterator tntdb::Result::begin | ( |  | ) | const

Returns a const_iterator to the first row of this resultset.

bool tntdb::Result::empty | ( |  | ) | const

inline

Returns true, when there are no rows available.

const_iterator tntdb::Result::end | ( |  | ) | const

Returns a const_iterator past the last row of this resultset.

size_type tntdb::Result::getFieldCount | ( |  | ) | const

inline

Returns the number of columns of the rows.

const IResult* tntdb::Result::getImpl | ( |  | ) | const

inline

Returns the actual implementation-class.

Row tntdb::Result::getRow | ( | size_type | row_num | ) | const

Returns the row_num'ths row of the resultset.

Value tntdb::Result::getValue | ( | size_type | row_num,
|  | size_type | field_num
| ) |  | const

Returns the field_num'ths value of the row_num'ths row.

bool tntdb::Result::operator! | ( |  | ) | const

inline

Returns true, when this classes does not reference a resultset.

Row tntdb::Result::operator[] | ( | size_type | row_num | ) | const

Returns the row_num'ths row of the resultset.

size_type tntdb::Result::size | ( |  | ) | const

inline

Returns the number of rows of this resultset.

The documentation for this class was generated from the following file:

- tntdb/bits/result.h